Get Vvol Fault Domain Replication Group
Get information about a replication group that is part of a VMware Virtual Volumes fault domain.
The ID of a pairing between this Site Recovery Manager server and remote one
The ID of the SRM instance to manage inventory mappings for
The ID of the vSphere Virtual Volumes (vVols) fault domain that is part of the current pairing.
The ID of a VMware Virtual Volumes replication group.
Information about a replication group within a given fault domain.
{
"id": "string",
"warnings": [
"string"
],
"errors": [
"string"
],
"name": "string",
"vm_infos": [
{
"id": "string",
"name": "string",
"template": false,
"inside_vapp": false,
"warnings": [
"string"
],
"errors": [
"string"
],
"vvol_replication_groups": [
{
"fault_domain_id": "string",
"device_group_id": "string"
}
]
}
],
"replication_group_info": {
"fault_domain_id": "string",
"device_group_id": "string"
},
"_meta": {
"errors": [
{
"code": "string",
"message": "string",
"field": "string"
}
]
}
}
Bad request - the server cannot understand the request due to invalid syntax or invalid request body content
"ResponseError Object"
The code of the error.
The message of the error.
The ID of the operation.
Unauthorized - the client must authenticate itself to get the requested response
Forbidden - not sufficient access rights to fulfill the request
"ResponseError Object"
The code of the error.
The message of the error.
The ID of the operation.
Not Found - server cannot find the requested in URL resource
Internal server error - unexpected condition prevents fulfilling the request
"ResponseError Object"
The code of the error.
The message of the error.
The ID of the operation.
curl -H 'Authorization: <value>' https://{api_host}/pairings/{pairing_id}/srms/{srm_id}/replication-management/vvol/fault-domains/{domain_id}/replication-groups/{replication_group_id}